Subject: bug#67527: 30.0.50; FR: Add an option to disable ispell completion in text-mode

From: Eason Huang <[email-masked]>
Date: Fri, 12 Jan 2024 20:46:09 +0800

Eli Zaretskii <[email-masked]> writes:

>> From: Simon Manning <[email-masked]>
>> Date: Mon, 8 Jan 2024 12:55:00 -0500
>> 
>> For what it's worth, I've hit the same issue as Eason and have had to use the same workaround. The
>> behavior is quite annoying with this (I think quite common?) setup because you can't really type
>> without completion popups for simple words continuously showing up.
>
> We add ispell-completion-at-point to completion-at-point-functions
> with DEPTH of 10.  So if other packages use DEPTH omitted or nil when
> adding their functions to completion-at-point-functions, they should
> be called before ispell-completion-at-point.  Does that happen?  if
> not, why not?  If it does happen, why isn't that a good enough
> resolution of the situation where several candidates compete for the
> privilege of providing a completion?
>
> I took a liberty to add back Eason to the discussion, in the hope that
> he could explain why DEPTH of 10 didn't solve his situation.
>
Because I don't have any ohter capf backends in the org buffer(outside
the SRC code block), ispell-completion-at-point is the only one.

When the cursor is inside the SRC code block, no this issue.

-- 
Eason Huang